// changes the dots from black to white to yellow on click//

int dotsize, gridsize, hordots, vertdots;
int[][] dots;
color[] colors = new color[3];

void setup() {
  size(500, 500);  
  noStroke();
  colorMode(HSB, 100, 100, 100);
  dotsize = 46;
  gridsize = 50;
  colors[0] = color(100, 0, 0);
  colors[1] = color(100, 0, 100);
    colors[2] = color(13, 99, 99);
  hordots = width/gridsize;
  vertdots = width/gridsize;
  dots = new int[hordots][vertdots];
  for (int k = 1; k < hordots; k++) {
    for (int l = 1; l < vertdots; l++) {
      dots[k][l] = 0;
    }
  }
}

void draw() {
  background(100, 0, 20);

  ellipseMode(CORNER);
 // checkThePressedMouse();
  for (int i = 0; i<dots.length; i++) {
    for (int j = 0; j<dots.length; j++) {
      int arrayspot = dots[i][j];
      if (arrayspot != 0) println (arrayspot);
   //   println(colors[1]);
     fill(colors[arrayspot]);
      ellipse (i*gridsize, j*gridsize, dotsize, dotsize);
    }
  }
}

void mouseClicked() {
 // if (mousePressed && mouseX<width-5 && mouseY < height-5) {
    int ex = mouseX/gridsize;
    int why = mouseY/gridsize;
    dots[ex][why] += 1;
    dots[ex][why] = dots[ex][why]%3;
  //}
}

